/**
*
* Style for the mapping page
*
**/
/**
*
* Defines all colors that are used in MoPats less sheets
*
**/
/**
* This file contains color definition based on the material 
* design specification for color palettes
**/
/* Grayscales (from Bootstrap) */
/**
*
* Some variable values that will be repeated
* for MoPats views
* This file can be used as a central hub to change 
* many settings at once without touching the less files
*
**/
/**
*
* Sizes for the mopat web application
*
**/
/* EXPORT MAPPING */
.map-question-box {
  border-bottom: 4px solid #222222;
  margin-bottom: 0px;
  background-color: #eeeeee;
}
.map-question-box:last-child {
  border-bottom: 0;
}
.map-questiontext {
  overflow: hidden;
  width: 100%;
}
.map-questiontext-nohover {
  max-height: 2.5em;
}
.map-answer {
  border-top: 1px dashed #3e3e3b;
  background-color: #cde4f5;
  padding: 5px;
  min-height: 1.6em;
  font-weight: bold;
}
.map-node {
  border: 1px solid #3e3e3b;
  background-color: #f5f5f5;
  padding: 2px;
  margin-bottom: 5px;
  border-radius: 5px;
  vertical-align: middle;
  font-size: 0.9em;
  min-width: 200px;
  /* z-index: 10; */
  text-align: center;
  font-weight: normal;
}
.map-node-placeholder {
  border: 1px dotted #3e3e3b;
  padding: 2px;
  margin-bottom: 5px;
  border-radius: 5px;
  width: 200px;
  z-index: -1;
  text-align: center;
  font-weight: normal;
  float: right;
}
.map-node-selected {
  background-color: #f2c43d;
}
.node-assigned {
  background-color: #f2c43d;
  /* border-color: #8a1f11; */
}
.has-node,
.node-hover {
  background-color: #aed5a1;
}
#questionnaireNodes .state-disabled {
  opacity: 1;
}
.map-settings {
  background-color: #b2e2ee;
  padding: 5px;
  margin-top: 5px;
}
.map-settings-type {
  width: 100%;
}
.map-settings-int {
  background-color: #b2e2ee;
  width: 90%;
}
.map-settings-float {
  background-color: #b2e2ee;
  width: 90%;
}
.scrolledOutNodes {
  position: fixed !important;
  top: 5vh !important;
  right: 0px !important;
  left: auto !important;
  overflow-y: scroll !important;
  max-height: 90vh;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}
#exportMappingContainer {
  width: 100%;
  z-index: 99999;
}
#exportMappingContainer {
  width: 78%;
  max-height: 700px;
  overflow-y: scroll;
  overflow-x: hidden;
  border-radius: 10px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
#templateNodes {
  max-height: 700px;
  background-color: #c3dbef;
  overflow-y: scroll;
  width: 20%;
  border-radius: 10px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.stickyHeader {
  position: sticky;
  background-color: #c3dbef;
  top: 0;
  border-bottom: 1px solid #3e3e3b;
}
.question-header {
  overflow: hidden;
  width: 100%;
  margin: 0 5px;
}
.question-type {
  font-weight: bold;
}
.formatting-text {
  margin-right: 10px;
  min-width: 100px;
}

